## peek 1.0.0

=== CMakeLists.txt ===
project("peek" C)
cmake_minimum_required(VERSION 2.6)

set (PEEK_VERSION_MAJOR 1)
set (PEEK_VERSION_MINOR 0)
set (PEEK_VERSION_PATCH 0)

set (XDG_APPS_INSTALL_DIR share/applications)
set (GettextTranslate_GMO_BINARY TRUE)
set (GettextTranslate_ALL TRUE)
set (LOCALEDIR ${CMAKE_INSTALL_PREFIX}/share/locale)

# Include macros for Vala and GLib
list(APPEND CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake
)

include(CTest)
include(FindVala)
include(UseVala)
include(GResource)
include(GettextTranslate)

# Check dependencies
find_package(Vala 0.22 REQUIRED)

find_package(PkgConfig)
pkg_check_modules(GTK REQUIRED gtk+-3.0>=3.14)
pkg_check_modules(CAIRO REQUIRED cairo)
pkg_check_modules(GIO REQUIRED gio-2.0>=2.42)
pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.38)
pkg_check_modules(GMODULE REQUIRED gmodule-2.0)
pkg_check_modules(KEYBINDER REQUIRED keybinder-3.0)

add_definitions(${GTK_CFLAGS} ${GTK_CFLAGS_OTHER})
link_libraries(${GTK_LIBRARIES})
link_libraries(${KEYBINDER_LIBRARIES})
link_directories(${GTK_LIBRARY_DIRS})

# compile glib resource files to c code
configure_file (
  "${PROJECT_SOURCE_DIR}/ui/about.ui.in"
  "${PROJECT_SOURCE_DIR}/ui/about.ui"
  )

GLIB_COMPILE_RESOURCES(GLIB_RESOURCES
  SOURCE
    ui/${PROJECT_NAME}.gresource.xml
)

set(VALA_DEFINITIONS "")

if(${GTK_VERSION} VERSION_EQUAL "3.22" OR ${GTK_VERSION} VERSION_GREATER "3.22")
  message(STATUS "Compiling for GTK >= 3.22")
  list(APPEND VALA_DEFINITIONS "HAS_GTK_SHORTCUT_LABEL")
  list(APPEND VALA_DEFINITIONS "HAS_GTK_LABEL_XALIGN")
elseif(${GTK_VERSION} VERSION_EQUAL "3.16" OR ${GTK_VERSION} VERSION_GREATER "3.16")
  message(STATUS "Compiling for GTK >= 3.16")
  list(APPEND VALA_DEFINITIONS "HAS_GTK_LABEL_XALIGN")
else()
  message(STATUS "Compiling for GTK < 3.16")
endif()


# Compile Vala to C
vala_precompile(VALA_C
    src/main.vala
    src/application.vala
    src/desktop-integration.vala
    src/defaults.vala
    src/errordomain.vala
    src/gtk-helper.vala
    src/utils.vala
    src/dbus/freedesktop-dbus.vala
    src/dbus/freedesktop-filemanager.vala
    src/dbus/gnome-shell-screencast.vala
    src/post-processing/imagemagick-post-processor.vala
    src/post-processing/post-processor.vala
    src/recording/screen-recorder.vala
    src/recording/base-screen-recorder.vala
    src/recording/screen-recorder-factory.vala
    src/recording/recording-area.vala
    src/recording/gnome-shell-dbus-recorder.vala
    src/recording/command-line-screen-recorder.vala
    src/recording/avconv-screen-recorder.vala
    src/recording/ffmpeg-screen-recorder.vala
    src/ui/about-dialog.vala
    src/ui/application-window.vala
    src/ui/preferences-dialog.vala
    src/ui/shortcut-label.vala
  PACKAGES
    gtk+-3.0
    posix
  DEFINITIONS
    ${VALA_DEFINITIONS}
  CUSTOM_VAPIS
    src/vapi/config.vapi
    src/vapi/keybinder-3.0.vapi
  GENERATE_HEADER
    application
  OPTIONS
    --target-glib=2.38
    --use-header
    --gresources=${CMAKE_SOURCE_DIR}/ui/${PROJECT_NAME}.gresource.xml
)

# Compile C code
add_definitions(-DGETTEXT_PACKAGE="${PROJECT_NAME}")
add_definitions(-DLOCALEDIR="${LOCALEDIR}")
add_definitions(-DVERSION="${PEEK_VERSION_MAJOR}.${PEEK_VERSION_MINOR}.${PEEK_VERSION_PATCH}")
add_definitions(-Wno-deprecated-declarations)
add_definitions(-Wno-incompatible-pointer-types)
add_definitions(-Wformat)
add_definitions(-Wformat-security)
add_executable(${PROJECT_NAME} ${VALA_C} ${GLIB_RESOURCES})

# Installation
install(TARGETS ${PROJECT_NAME} DESTINATION bin)

add_subdirectory(data)
add_subdirectory(po)

if(BUILD_TESTS)
  add_subdirectory(tests)
else()
  add_subdirectory(tests EXCLUDE_FROM_ALL)
endif()

# Uninstall target
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall
  COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

# CPack configuration
set(CPACK_GENERATOR "DEB")
set(CPACK_PROJECT_CONFIG_FILE ${CMAKE_SOURCE_DIR}/package.txt)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Simple animated GIF screen recorder with an easy to use interface")
set(CPACK_PACKAGE_VENDOR "")
set(CPACK_PACKAGE_CONTACT "Philipp Wolfer <ph.wolfer@gmail.com>")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
set(CPACK_PACKAGE_VERSION_MAJOR ${PEEK_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PEEK_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PEEK_VERSION_PATCH})
set(CPACK_PACKAGE_INSTALL_DIRECTORY "Peek")

set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtk-3-0 (>= 3.14), libglib2.0-0 (>= 2.38), libkeybinder-3.0-0, ffmpeg | libav-tools, imagemagick")
set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
set(CPACK_DEBIAN_PACKAGE_SECTION "video")

include(CPack)

=== data/CMakeLists.txt ===
# GSettings
include(GSettings)
add_schema(com.uploadedlobster.peek.gschema.xml)

include(FindGettext)

# Translate and install the desktop file
set (GETTEXT_REQUIRED_VERSION 0.19)
if(GETTEXT_VERSION_STRING VERSION_EQUAL GETTEXT_REQUIRED_VERSION OR GETTEXT_VERSION_STRING VERSION_GREATER GETTEXT_REQUIRED_VERSION)
  add_custom_command(
      OUTPUT com.uploadedlobster.peek.desktop
      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
        --desktop
        --template=data/com.uploadedlobster.peek.desktop.in
        -d po
        -o ${CMAKE_BINARY_DIR}/data/com.uploadedlobster.peek.desktop
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )
  add_custom_target(build-desktop-file ALL DEPENDS com.uploadedlobster.peek.desktop)
  install(
    FILES ${CMAKE_BINARY_DIR}/data/com.uploadedlobster.peek.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR})
else()
  message(WARNING "Gettext >= ${GETTEXT_REQUIRED_VERSION} required for .desktop file translation")
  install(
    FILES com.uploadedlobster.peek.desktop.in
    DESTINATION ${XDG_APPS_INSTALL_DIR}
    RENAME com.uploadedlobster.peek.desktop)
endif()

# Translate and install AppData file
set (GETTEXT_REQUIRED_VERSION 0.19.7)
if(GETTEXT_VERSION_STRING VERSION_EQUAL GETTEXT_REQUIRED_VERSION OR GETTEXT_VERSION_STRING VERSION_GREATER GETTEXT_REQUIRED_VERSION)
  add_custom_command(
      OUTPUT com.uploadedlobster.peek.appdata.xml
      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
        --xml
        --template=data/com.uploadedlobster.peek.appdata.xml.in
        -d po
        -o ${CMAKE_BINARY_DIR}/data/com.uploadedlobster.peek.appdata.xml
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )
  add_custom_target(build-appdata-file ALL DEPENDS com.uploadedlobster.peek.appdata.xml)
  install(
    FILES ${CMAKE_BINARY_DIR}/data/com.uploadedlobster.peek.appdata.xml
    DESTINATION share/metainfo)
else()
  message(WARNING "Gettext >= ${GETTEXT_REQUIRED_VERSION} required for AppData file translation")
  install(
    FILES com.uploadedlobster.peek.appdata.xml.in
    DESTINATION share/metainfo
  RENAME com.uploadedlobster.peek.appdata.xml)
endif()

# Install application icons
install(FILES "icons/16x16/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/16x16/apps)
install(FILES "icons/24x24/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/24x24/apps)
install(FILES "icons/32x32/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/32x32/apps)
install(FILES "icons/48x48/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/48x48/apps)
install(FILES "icons/256x256/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/256x256/apps)
install(FILES "icons/512x512/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/512x512/apps)


# Install DBus service
configure_file (
  com.uploadedlobster.peek.service.in
  com.uploadedlobster.peek.service
  )

install(FILES ${CMAKE_BINARY_DIR}/data/com.uploadedlobster.peek.service DESTINATION share/dbus-1/services)

=== tests/CMakeLists.txt ===
enable_testing()

# /desktop-integration/
vala_precompile(VALA_TEST_DESKTOP_INTEGRATION_C
    test-desktop-integration.vala
    ../src/desktop-integration.vala
    ../src/dbus/freedesktop-filemanager.vala
  PACKAGES
    gtk+-3.0
)

add_executable(
  ${PROJECT_NAME}-test-desktop-integration
  ${VALA_TEST_DESKTOP_INTEGRATION_C})

add_test(
  test-desktop-integration
  ${PROJECT_NAME}-test-desktop-integration)

# /screen-recorder/recording-area/
vala_precompile(VALA_TEST_RECORDING_AREA_C
    screen-recorder/test-recording-area.vala
    ../src/recording/recording-area.vala
  PACKAGES
    gtk+-3.0
)

add_executable(
  ${PROJECT_NAME}-screen-recorder-test-recording-area
  ${VALA_TEST_RECORDING_AREA_C})

add_test(
  screen-recorder-test-recording-area
  ${PROJECT_NAME}-screen-recorder-test-recording-area)

# /screen-recorder/command-line-screen-recorder/
vala_precompile(VALA_TEST_COMMAND_LINE_SCREEN_RECORDER_C
    screen-recorder/test-command-line-screen-recorder.vala
    ../src/post-processing/post-processor.vala
    ../src/post-processing/imagemagick-post-processor.vala
    ../src/recording/recording-area.vala
    ../src/recording/screen-recorder.vala
    ../src/recording/base-screen-recorder.vala
    ../src/recording/command-line-screen-recorder.vala
    ../src/defaults.vala
    ../src/utils.vala
  PACKAGES
    gtk+-3.0
    posix
)

add_executable(
  ${PROJECT_NAME}-test-screen-recorder-command-line-screen-recorder
  ${VALA_TEST_COMMAND_LINE_SCREEN_RECORDER_C})

add_test(
  test-screen-recorder-command-line-screen-recorder
  ${PROJECT_NAME}-test-screen-recorder-command-line-screen-recorder)

## peek 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set (PEEK_VERSION_MAJOR 1)
 set (PEEK_VERSION_MINOR 0)
-set (PEEK_VERSION_PATCH 0)
+set (PEEK_VERSION_PATCH 3)
 
 set (XDG_APPS_INSTALL_DIR share/applications)
 set (GettextTranslate_GMO_BINARY TRUE)
@@ -25,7 +25,8 @@
 find_package(Vala 0.22 REQUIRED)
 
 find_package(PkgConfig)
-pkg_check_modules(GTK REQUIRED gtk+-3.0>=3.14)
+set(REQUIRE_GTK "3.14")
+pkg_check_modules(GTK REQUIRED gtk+-3.0>=${REQUIRE_GTK})
 pkg_check_modules(CAIRO REQUIRED cairo)
 pkg_check_modules(GIO REQUIRED gio-2.0>=2.42)
 pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.38)
@@ -50,17 +51,23 @@
 
 set(VALA_DEFINITIONS "")
 
-if(${GTK_VERSION} VERSION_EQUAL "3.22" OR ${GTK_VERSION} VERSION_GREATER "3.22")
-  message(STATUS "Compiling for GTK >= 3.22")
-  list(APPEND VALA_DEFINITIONS "HAS_GTK_SHORTCUT_LABEL")
+if(${GTK_VERSION} VERSION_EQUAL "3.16" OR ${GTK_VERSION} VERSION_GREATER "3.16")
+  message(STATUS "Compiling with features for GTK >= 3.16")
+  set(REQUIRE_GTK "3.16")
   list(APPEND VALA_DEFINITIONS "HAS_GTK_LABEL_XALIGN")
-elseif(${GTK_VERSION} VERSION_EQUAL "3.16" OR ${GTK_VERSION} VERSION_GREATER "3.16")
-  message(STATUS "Compiling for GTK >= 3.16")
-  list(APPEND VALA_DEFINITIONS "HAS_GTK_LABEL_XALIGN")
-else()
-  message(STATUS "Compiling for GTK < 3.16")
 endif()
 
+# if(${GTK_VERSION} VERSION_EQUAL "3.20" OR ${GTK_VERSION} VERSION_GREATER "3.20")
+#   message(STATUS "Compiling with features for GTK >= 3.20")
+#   set(REQUIRE_GTK "3.20")
+#   list(APPEND VALA_DEFINITIONS "HAS_GTK_FILECHOOSERNATIVE")
+# endif()
+
+if(${GTK_VERSION} VERSION_EQUAL "3.22" OR ${GTK_VERSION} VERSION_GREATER "3.22")
+  message(STATUS "Compiling with features for GTK >= 3.22")
+  set(REQUIRE_GTK "3.22")
+  list(APPEND VALA_DEFINITIONS "HAS_GTK_SHORTCUT_LABEL")
+endif()
 
 # Compile Vala to C
 vala_precompile(VALA_C
@@ -148,7 +155,8 @@
 set(CPACK_PACKAGE_VERSION_PATCH ${PEEK_VERSION_PATCH})
 set(CPACK_PACKAGE_INSTALL_DIRECTORY "Peek")
 
-set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtk-3-0 (>= 3.14), libglib2.0-0 (>= 2.38), libkeybinder-3.0-0, ffmpeg | libav-tools, imagemagick")
+set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtk-3-0 (>= ${REQUIRE_GTK}), libglib2.0-0 (>= 2.38), libkeybinder-3.0-0, ffmpeg | libav-tools, imagemagick")
+set(CPACK_DEBIAN_PACKAGE_RECOMMENDS "gstreamer1.0-plugins-good, gstreamer1.0-plugins-ugly")
 set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
 set(CPACK_DEBIAN_PACKAGE_SECTION "video")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -57,9 +57,10 @@
 install(FILES "icons/24x24/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/24x24/apps)
 install(FILES "icons/32x32/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/32x32/apps)
 install(FILES "icons/48x48/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/48x48/apps)
+install(FILES "icons/64x64/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/64x64/apps)
+install(FILES "icons/128x128/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/128x128/apps)
 install(FILES "icons/256x256/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/256x256/apps)
 install(FILES "icons/512x512/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/512x512/apps)
-
 
 # Install DBus service
 configure_file (
@@ -68,3 +69,11 @@
   )
 
 install(FILES ${CMAKE_BINARY_DIR}/data/com.uploadedlobster.peek.service DESTINATION share/dbus-1/services)
+
+# Copy build data FILES
+file(
+  COPY com.canonical.Unity.gschema.xml
+  DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/extra/
+)
+
+add_subdirectory(man)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,23 @@
 add_test(
   test-desktop-integration
   ${PROJECT_NAME}-test-desktop-integration)
+
+# /utils/
+vala_precompile(VALA_TEST_UTILS_C
+    test-utils.vala
+    ../src/defaults.vala
+    ../src/utils.vala
+  PACKAGES
+    gtk+-3.0
+)
+
+add_executable(
+  ${PROJECT_NAME}-test-utils
+  ${VALA_TEST_UTILS_C})
+
+add_test(
+  test-utils
+  ${PROJECT_NAME}-test-utils)
 
 # /screen-recorder/recording-area/
 vala_precompile(VALA_TEST_RECORDING_AREA_C

=== data/man/CMakeLists.txt ===
find_program(TXT2MAN txt2man)
find_program(GZIP gzip)

# It's not a requirement that we make man pages.
if (NOT TXT2MAN)
  message(WARNING "txt2man not found; man pages will not be generated.")
elseif (NOT GZIP)
  message(WARNING "gzip not found; man pages will not be generated.")
else ()
  # We have the tools.  We can make them.
  string(TOUPPER ${PROJECT_NAME} MAN_TITLE)
  add_custom_command(
      OUTPUT ${PROJECT_NAME}.1.gz
      COMMAND ${TXT2MAN}
        -t ${MAN_TITLE}
        -r ${PEEK_VERSION_MAJOR}.${PEEK_VERSION_MINOR}.${PEEK_VERSION_PATCH}
        -s 1
        -v "\"User commands\""
        ${CMAKE_SOURCE_DIR}/data/man/${PROJECT_NAME}.1.txt
        | ${GZIP}
        > ${CMAKE_BINARY_DIR}/data/man/${PROJECT_NAME}.1.gz
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )
  add_custom_target(build-manpage ALL DEPENDS ${PROJECT_NAME}.1.gz)

  # Set the rules to install the documentation.
  install(FILES ${CMAKE_BINARY_DIR}/data/man/${PROJECT_NAME}.1.gz DESTINATION share/man/man1/)
endif ()

=== debian/changelog ===
peek (1.0.3-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Jun 2017 17:59:13 -0700

peek (1.0.3-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 14 Jun 2017 18:00:37 +0200

peek (1.0.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 27 Mar 2017 17:49:05 +0200

peek (1.0.0-1~getdeb1) xenial; urgency=medium

  * Initial release

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 24 Mar 2017 20:42:23 +0100

=== debian/control ===
Source: peek
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christoph Korn <christoph.korn@getdeb.net>
Build-Depends: debhelper (>=9),
               cmake (>= 2.6),
               valac (>= 0.22),
               libgtk-3-dev (>= 3.14),
               libkeybinder-3.0-dev,
               libxml2-utils,
               gettext
Standards-Version: 3.9.7
Homepage: https://github.com/phw/peek

Package: peek
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ffmpeg | libav-tools,
         imagemagick
Description: simple screen recorder with an easy to use interface
 Peek creates animated GIF or video screencasts using FFmpeg and ImageMagick. 
 Built for the specific use case of recording screen areas, Peek easily
 shows UI features of your own apps or for showing a bug in bug reports. It
 is not a general purpose screencast app with extended features and it never
 will be.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:
	# Test fail: Could not find executable peek-test-desktop-integration

=== debian/watch ===
version=3
https://github.com/phw/peek/releases \
    (?:.*/)?v([\d\.]+)\.tar\.gz

## peek 1.2.0

=== CMakeLists.txt ===
project("peek" C)
cmake_minimum_required(VERSION 2.6)

set (PEEK_VERSION_MAJOR 1)
set (PEEK_VERSION_MINOR 2)
set (PEEK_VERSION_PATCH 0)

# Get full Peek version
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.git)
  find_package(Git)
  if(GIT_FOUND)
    execute_process(
      COMMAND ${GIT_EXECUTABLE} describe --tags
      WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
      OUTPUT_VARIABLE "PEEK_VERSION_FULL"
      ERROR_QUIET
      OUTPUT_STRIP_TRAILING_WHITESPACE)
    if(NOT PEEK_VERSION_FULL)
      execute_process(
        COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
        OUTPUT_VARIABLE "GIT_REVISION"
        ERROR_QUIET
        OUTPUT_STRIP_TRAILING_WHITESPACE)
      set(PEEK_VERSION_FULL "${PEEK_VERSION_MAJOR}.${PEEK_VERSION_MINOR}.${PEEK_VERSION_PATCH}-${GIT_REVISION}")
    endif()
  endif()
endif()

if(NOT PEEK_VERSION_FULL)
  set(PEEK_VERSION_FULL "${PEEK_VERSION_MAJOR}.${PEEK_VERSION_MINOR}.${PEEK_VERSION_PATCH}")
endif()
message(STATUS "Peek version: ${PEEK_VERSION_FULL}" )

# Include macros for Vala and GLib
list(APPEND CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake
)

include(GNUInstallDirs)
include(CTest)
include(FindVala)
include(UseVala)
include(GResource)

set (GettextTranslate_GMO_BINARY TRUE)
set (GettextTranslate_ALL TRUE)
if (NOT DEFINED LOCALEDIR)
  set (LOCALEDIR ${CMAKE_INSTALL_FULL_LOCALEDIR})
endif ()
include(GettextTranslate)

# Check dependencies
find_package(Vala 0.22 REQUIRED)

find_package(PkgConfig)
set(REQUIRE_GTK "3.14")
pkg_check_modules(GTK REQUIRED gtk+-3.0>=${REQUIRE_GTK})
pkg_check_modules(CAIRO REQUIRED cairo)
pkg_check_modules(GIO REQUIRED gio-2.0>=2.42)
pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.38)
pkg_check_modules(GMODULE REQUIRED gmodule-2.0)
pkg_check_modules(KEYBINDER keybinder-3.0)

add_definitions(${GTK_CFLAGS} ${GTK_CFLAGS_OTHER})
link_libraries(${GTK_LIBRARIES})
link_libraries(${KEYBINDER_LIBRARIES})
link_directories(${GTK_LIBRARY_DIRS})

# compile glib resource files to c code
configure_file (
  "${PROJECT_SOURCE_DIR}/ui/about.ui.in"
  "${PROJECT_SOURCE_DIR}/ui/about.ui"
  )

GLIB_COMPILE_RESOURCES(GLIB_RESOURCES
  SOURCE
    ui/${PROJECT_NAME}.gresource.xml
)

set(VALA_DEFINITIONS "")
set(VALA_CUSTOM_VAPIS "")

list(APPEND VALA_CUSTOM_VAPIS "src/vapi/config.vapi")

if(NOT CMAKE_BUILD_TYPE STREQUAL Release)
  message (STATUS "Debug build")
  list(APPEND VALA_DEFINITIONS "DEBUG")
endif()

if(${KEYBINDER_FOUND})
  list(APPEND VALA_DEFINITIONS "HAS_KEYBINDER")
  list(APPEND VALA_CUSTOM_VAPIS "src/vapi/keybinder-3.0.vapi")
endif()

# Check for GTK features
if(${GTK_VERSION} VERSION_EQUAL "3.16" OR ${GTK_VERSION} VERSION_GREATER "3.16")
  message(STATUS "Compiling with features for GTK >= 3.16")
  set(REQUIRE_GTK "3.16")
  list(APPEND VALA_DEFINITIONS "HAS_GTK_LABEL_XALIGN")
endif()

if(${GTK_VERSION} VERSION_EQUAL "3.20" OR ${GTK_VERSION} VERSION_GREATER "3.20")
  message(STATUS "Compiling with features for GTK >= 3.20")
  set(REQUIRE_GTK "3.20")

  if(ENABLE_FILECHOOSERNATIVE OR DISABLE_OPEN_FILE_MANAGER)
    message(STATUS "Compiling with Gtk.FileChooserNative")
    list(APPEND VALA_DEFINITIONS "HAS_GTK_FILECHOOSERNATIVE")
  endif()
endif()

if(${GTK_VERSION} VERSION_EQUAL "3.22" OR ${GTK_VERSION} VERSION_GREATER "3.22")
  message(STATUS "Compiling with features for GTK >= 3.22")
  set(REQUIRE_GTK "3.22")
  list(APPEND VALA_DEFINITIONS "HAS_GTK_SHORTCUT_LABEL")
  list(APPEND VALA_DEFINITIONS "HAS_GTK_SHOW_URI_ON_WINDOW")
endif()

# Flags for disabling certain features
if(DISABLE_GNOME_SHELL)
  message(STATUS "GNOME Shell recorder disabled by configuration")
  list(APPEND VALA_DEFINITIONS "DISABLE_GNOME_SHELL")
endif()

if(DISABLE_OPEN_FILE_MANAGER)
  message(STATUS "File manager integration disabled by configuration")
  list(APPEND VALA_DEFINITIONS "DISABLE_OPEN_FILE_MANAGER")
endif()

# Compile Vala to C
vala_precompile(VALA_C
    src/main.vala
    src/application.vala
    src/desktop-integration.vala
    src/defaults.vala
    src/errordomain.vala
    src/gtk-helper.vala
    src/utils.vala
    src/dbus/freedesktop-dbus.vala
    src/dbus/freedesktop-filemanager.vala
    src/dbus/gnome-shell-screencast.vala
    src/post-processing/cli-post-processor.vala
    src/post-processing/extract-frames-post-processor.vala
    src/post-processing/ffmpeg-post-processor.vala
    src/post-processing/gifski-post-processor.vala
    src/post-processing/imagemagick-post-processor.vala
    src/post-processing/post-processing-pipeline.vala
    src/post-processing/post-processor.vala
    src/recording/avconv-screen-recorder.vala
    src/recording/base-screen-recorder.vala
    src/recording/cli-screen-recorder.vala
    src/recording/ffmpeg-screen-recorder.vala
    src/recording/ffmpeg.vala
    src/recording/gnome-shell-dbus-recorder.vala
    src/recording/recording-area.vala
    src/recording/recording-config.vala
    src/recording/screen-recorder-factory.vala
    src/recording/screen-recorder.vala
    src/ui/about-dialog.vala
    src/ui/application-window.vala
    src/ui/error-dialog.vala
    src/ui/preferences-dialog.vala
    src/ui/shortcut-label.vala
  PACKAGES
    gtk+-3.0
    posix
  DEFINITIONS
    ${VALA_DEFINITIONS}
  CUSTOM_VAPIS
    ${VALA_CUSTOM_VAPIS}
  GENERATE_HEADER
    application
  OPTIONS
    --target-glib=2.38
    --use-header
    --gresources=${CMAKE_SOURCE_DIR}/ui/${PROJECT_NAME}.gresource.xml
)

# Compile C code
add_definitions(-DGETTEXT_PACKAGE="${PROJECT_NAME}")
add_definitions(-DLOCALEDIR="${LOCALEDIR}")
add_definitions(-DVERSION="${PEEK_VERSION_FULL}")
add_definitions(-Wno-deprecated-declarations)
add_definitions(-Wno-incompatible-pointer-types)
add_definitions(-Wformat)
add_definitions(-Wformat-security)
add_executable(${PROJECT_NAME} ${VALA_C} ${GLIB_RESOURCES})

# Installation
install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})

add_subdirectory(data)
add_subdirectory(po)

if(BUILD_TESTS)
  add_subdirectory(tests)
else()
  add_subdirectory(tests EXCLUDE_FROM_ALL)
endif()

# Uninstall target
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall
  COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

# CPack configuration
set(CPACK_GENERATOR "DEB")
set(CPACK_PROJECT_CONFIG_FILE ${CMAKE_SOURCE_DIR}/package.txt)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Simple screen recorder with an easy to use interface")
set(CPACK_PACKAGE_VENDOR "")
set(CPACK_PACKAGE_CONTACT "Philipp Wolfer <ph.wolfer@gmail.com>")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
set(CPACK_PACKAGE_VERSION_MAJOR ${PEEK_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PEEK_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PEEK_VERSION_PATCH})
set(CPACK_PACKAGE_INSTALL_DIRECTORY "Peek")

set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtk-3-0 (>= ${REQUIRE_GTK}), libglib2.0-0 (>= 2.38), libkeybinder-3.0-0, ffmpeg")
set(CPACK_DEBIAN_PACKAGE_RECOMMENDS "gstreamer1.0-plugins-good, gstreamer1.0-plugins-ugly")
set(CPACK_DEBIAN_PACKAGE_SUGGESTS "gifski")
set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
set(CPACK_DEBIAN_PACKAGE_SECTION "video")

include(CPack)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -50,16 +50,23 @@
   screen-recorder-test-recording-area
   ${PROJECT_NAME}-screen-recorder-test-recording-area)
 
-# /screen-recorder/command-line-screen-recorder/
+# /screen-recorder/cli-screen-recorder/
 vala_precompile(VALA_TEST_COMMAND_LINE_SCREEN_RECORDER_C
-    screen-recorder/test-command-line-screen-recorder.vala
+    screen-recorder/test-cli-screen-recorder.vala
+    ../src/post-processing/cli-post-processor.vala
+    ../src/post-processing/extract-frames-post-processor.vala
+    ../src/post-processing/ffmpeg-post-processor.vala
+    ../src/post-processing/gifski-post-processor.vala
+    ../src/post-processing/imagemagick-post-processor.vala
+    ../src/post-processing/post-processing-pipeline.vala
     ../src/post-processing/post-processor.vala
-    ../src/post-processing/imagemagick-post-processor.vala
     ../src/recording/recording-area.vala
+    ../src/recording/recording-config.vala
     ../src/recording/screen-recorder.vala
     ../src/recording/base-screen-recorder.vala
-    ../src/recording/command-line-screen-recorder.vala
+    ../src/recording/cli-screen-recorder.vala
     ../src/defaults.vala
+    ../src/errordomain.vala
     ../src/utils.vala
   PACKAGES
     gtk+-3.0
@@ -67,9 +74,9 @@
 )
 
 add_executable(
-  ${PROJECT_NAME}-test-screen-recorder-command-line-screen-recorder
+  ${PROJECT_NAME}-test-screen-recorder-cli-screen-recorder
   ${VALA_TEST_COMMAND_LINE_SCREEN_RECORDER_C})
 
 add_test(
-  test-screen-recorder-command-line-screen-recorder
-  ${PROJECT_NAME}-test-screen-recorder-command-line-screen-recorder)
+  test-screen-recorder-cli-screen-recorder
+  ${PROJECT_NAME}-test-screen-recorder-cli-screen-recorder)

=== debian/changelog ===
peek (1.2.0-0mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Nov 2017 18:22:04 -0800

peek (1.2.0-0~ppa19~ubuntu16.04.1) xenial; urgency=low

  * Auto build.

 -- Philipp Wolfer <ph.wolfer@gmail.com>  Sat, 25 Nov 2017 14:44:59 +0000

peek (1.2.0-0) mx; urgency=medium

  * New upstream release:
    - Quick format selection in headerbar (#174)
    - GIF conversion with gifski if installed for improved quality (#212, #179)
    - GIF quality level can be set in preferences, if gifski is available (#212)
    - GIF conversion with FFmpeg as default instead of ImageMagick (#125)
    - Display elapsed time in headerbar (#214)
    - Display an animated spinner while post processing (#58)
    - Support APNG as output format (#108)
    - Command line parameter `--no-headerbar` (#203)
    - Show dialog with error details on recording errors (#49)
    - Temporary files get unique name again (was broken in #161)
    - Quitting application does not interrupt rendering (#189)
    - Much smaller temporary file sizes
    - Recording could be stopped before it had actually started
    - Do not load local settings schema in release builds
    - On Plasma with Breeze theme Peek window was hard to resize (#199)
    - Added Chinese (Traditional), Neapolitan
    - Updated translations for Dutch, Esperanto, German, Italian, Lithuanian, Norwegian Bokmål, Polish, Serbian, Swedish
    - libkeybinder is now optional
  * ImageMagick is now optional
  * Build as Release and with FileChooserNative

 -- Philipp Wolfer <ph.wolfer@gmail.com>  Sat, 25 Nov 2017 15:27:00 +0100

peek (1.1.0-0) mx; urgency=medium

  * New upstream release:
    - Transparent recording area without compositor
    - Unusual default permissions
    - Explicitly set ImageMagick resource limits
    - Updated translations for Basque, Chinese (Simplified), Czech, Dutch, French, German, Lithuanian, Russian, Serbian, Spanish, Swedish, Polish, Portuguese (Brazil)

 -- Philipp Wolfer <ph.wolfer@gmail.com>  Thu, 05 Oct 2017 14:47:00 +0100

peek (1.0.3-0) mx; urgency=medium

  * New upstream release:
    - Fixed installing man page
    - Fixed Debian packaging

 -- Philipp Wolfer <ph.wolfer@gmail.com>  Tue, 13 Jun 2017 23:50:00 +0100

peek (1.0.2-0) mx; urgency=medium

  * New upstream release:
    - Finish saving file when closing window while rendering
    - Highlight file when launching Dolphin file manager
    - Use raw video for recording GIF with GNOME Shell recorder (this is identical to how FFmpeg recorder works)
    - Failed to record MP4 when dimensions where not divisible by 2
    - Make sure recording starts after countdown is hidden
    - Closing window while recording could leave temp files behind
    - KDE Plasma and XFCE were showing an empty button in notification
    - Place close button on the left on all desktops configured this way
    - Cinammon showing notification with icon
    - Indonesian and Serbian translation
    - Updated translations for Basque, Esperanto, French, Portuguese (Brazil), Russian and Ukrainian
    - Added man page

 -- Philipp Wolfer <ph.wolfer@gmail.com>  Tue, 13 Jun 2017 22:52:00 +0100

peek (1.0.1-0) mx; urgency=medium

  * New upstream release:
    - recording: Use H.264 baseline profile for MP4 for increased browser
                 compatibility (#111)
    - recording: For WebM GNOME Shell recorder use same quality settings as with
                 FFmpeg encoder
    - ui: Show only the most recent "file saved" notification to avoid spamming
          the desktop with notifications.
    - fix: Set temporary directory for ImageMagick
    - fix: Always launch with `GDK_BACKEND=x11` for Wayland
    - fix: Detect if global menus are disabled in Unity when running as
           Flatpak / Snap package
    - i18n: Updated translations for Arabic, Czech, Russian and Spanish
    - i18n: New translations for Basque and Esperanto
    - docs: Added Debian instructions to build custom package
    - docs: Added Snappy install instructions (development builds only)

 -- Philipp Wolfer <ph.wolfer@gmail.com>  Sun, 26 Mar 2017 17:21:00 +0100

peek (1.0.0-0) mx; urgency=medium

  * New upstream release:
    - recording: Support GNOME Shell screencast DBUS service. Allows recording
    under GNOME Shell with XWayland (#33)
    - recording: Support WebM and MP4 as output format (#73)
    - recording: Added option to not record mouse cursor
    - recording: Default frame rate is now 10fps
    - ui: Recording can be started / stopped via configurable keyboard shortcut (#23)
    - ui: Add `--start`, `--stop` and `--toggle` command line parameters to control
          the recording
    - ui: Add `--backend` command line parameter to manually choose recording
          backend (`gnome-shell`, `ffmpeg` or `avcodec` for now)
    - ui: Hide button label on small window width. Allows for smaller recording area.
    - misc: Use org.freedesktop.FileManager1 DBUs service for launching file manager.
    - fix: Fixed a possible race condition that could lead to empty or broken files (#1)
    - fix: Moving Peek partially outside the visible area does no longer break the
           recording. Instead the recording area is clipped to the visible part (#64)
    - fix: Starting recording in maximized window relocated the window on Ubuntu Unity (#74)
    - fix: When canceling the file chooser also stop the background processing
           of the image (#96)
    - i18n: Many updated translations, with Czech, Dutch, German, Lithuanian,
            Polish and Swedish 100% completed
    - package: Peek is available from a Flatpak repository (#85)
    - package: Provide AppStream data
    - docs: Much improved README

 -- Philipp Wolfer <ph.wolfer@gmail.com>  Sat, 11 Mar 2017 22:12:00 +0100

peek (0.9.1-1) mx; urgency=low

  * Added libkeybinder-3.0-0 dependency

 -- Philipp Wolfer <ph.wolfer@gmail.com>  Tue, 23 Feb 2017 10:27:00 +0100

peek (0.9.1-0) mx; urgency=low

  * New upstream release:


=== debian/control ===
Source: peek
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Philipp Wolfer <ph.wolfer@gmail.com>
Build-Depends: debhelper (>=9),
 dpkg-dev (>= 1.6.1.1),
 cmake (>= 2.8.8),
 valac (>= 0.22),
 libgtk-3-dev (>= 3.14),
 libkeybinder-3.0-dev,
 libxml2-utils,
 gettext,
 txt2man,
 gzip
Standards-Version: 3.9.6
Homepage: https://github.com/phw/peek

Package: peek
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ffmpeg | libav-tools
Recommends: gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-ugly
Suggests: imagemagick
Description: Simple screen recorder with an easy to use interface
 Peek makes it easy to create short screencasts of a screen area. It was built
 for the specific use case of recording screen areas, e.g. for easily showing
 UI features of your own apps or for showing a bug in bug reports. With Peek
 you simply place the Peek window over the area you want to record and press
 "Record". Peek is optimized for generating animated GIFs, but you can also
 directly record to WebM or MP4 if you prefer.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Vala work arounds:
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DGSETTINGS_COMPILE=OFF \
	                     -DCMAKE_BUILD_TYPE=Release \
	                     -DENABLE_FILECHOOSERNATIVE=ON

override_dh_auto_test:

## peek 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 cmake_minimum_required(VERSION 2.6)
 
 set (PEEK_VERSION_MAJOR 1)
-set (PEEK_VERSION_MINOR 2)
-set (PEEK_VERSION_PATCH 0)
+set (PEEK_VERSION_MINOR 3)
+set (PEEK_VERSION_PATCH 1)
 
 # Get full Peek version
 if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.git)
@@ -144,10 +144,8 @@
     src/post-processing/extract-frames-post-processor.vala
     src/post-processing/ffmpeg-post-processor.vala
     src/post-processing/gifski-post-processor.vala
-    src/post-processing/imagemagick-post-processor.vala
     src/post-processing/post-processing-pipeline.vala
     src/post-processing/post-processor.vala
-    src/recording/avconv-screen-recorder.vala
     src/recording/base-screen-recorder.vala
     src/recording/cli-screen-recorder.vala
     src/recording/ffmpeg-screen-recorder.vala
@@ -221,8 +219,8 @@
 set(CPACK_PACKAGE_VERSION_PATCH ${PEEK_VERSION_PATCH})
 set(CPACK_PACKAGE_INSTALL_DIRECTORY "Peek")
 
-set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtk-3-0 (>= ${REQUIRE_GTK}), libglib2.0-0 (>= 2.38), libkeybinder-3.0-0, ffmpeg")
-set(CPACK_DEBIAN_PACKAGE_RECOMMENDS "gstreamer1.0-plugins-good, gstreamer1.0-plugins-ugly")
+set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtk-3-0 (>= ${REQUIRE_GTK}), libglib2.0-0 (>= 2.38), libkeybinder-3.0-0, ffmpeg, gstreamer1.0-plugins-good (>= 1.2)")
+set(CPACK_DEBIAN_PACKAGE_RECOMMENDS "gstreamer1.0-plugins-ugly")
 set(CPACK_DEBIAN_PACKAGE_SUGGESTS "gifski")
 set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
 set(CPACK_DEBIAN_PACKAGE_SECTION "video")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
 add_schema(com.uploadedlobster.peek.gschema.xml)
 
 include(FindGettext)
+
+set (XDG_APPS_INSTALL_DIR ${CMAKE_INSTALL_DATAROOTDIR}/applications)
 
 # Translate and install the desktop file
 set (GETTEXT_REQUIRED_VERSION 0.19)
@@ -43,24 +45,24 @@
   add_custom_target(build-appdata-file ALL DEPENDS com.uploadedlobster.peek.appdata.xml)
   install(
     FILES ${CMAKE_BINARY_DIR}/data/com.uploadedlobster.peek.appdata.xml
-    DESTINATION share/metainfo)
+    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
 else()
   message(WARNING "Gettext >= ${GETTEXT_REQUIRED_VERSION} required for AppData file translation")
   install(
     FILES com.uploadedlobster.peek.appdata.xml.in
-    DESTINATION share/metainfo
+    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo
   RENAME com.uploadedlobster.peek.appdata.xml)
 endif()
 
 # Install application icons
-install(FILES "icons/16x16/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/16x16/apps)
-install(FILES "icons/24x24/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/24x24/apps)
-install(FILES "icons/32x32/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/32x32/apps)
-install(FILES "icons/48x48/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/48x48/apps)
-install(FILES "icons/64x64/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/64x64/apps)
-install(FILES "icons/128x128/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/128x128/apps)
-install(FILES "icons/256x256/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/256x256/apps)
-install(FILES "icons/512x512/com.uploadedlobster.peek.png" DESTINATION share/icons/hicolor/512x512/apps)
+install(FILES "icons/16x16/com.uploadedlobster.peek.png" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/apps)
+install(FILES "icons/24x24/com.uploadedlobster.peek.png" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/24x24/apps)
+install(FILES "icons/32x32/com.uploadedlobster.peek.png" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps)
+install(FILES "icons/48x48/com.uploadedlobster.peek.png" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps)
+install(FILES "icons/64x64/com.uploadedlobster.peek.png" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps)
+install(FILES "icons/128x128/com.uploadedlobster.peek.png" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/128x128/apps)
+install(FILES "icons/256x256/com.uploadedlobster.peek.png" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/256x256/apps)
+install(FILES "icons/512x512/com.uploadedlobster.peek.png" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/512x512/apps)
 
 # Install DBus service
 configure_file (
@@ -68,7 +70,7 @@
   com.uploadedlobster.peek.service
   )
 
-install(FILES ${CMAKE_BINARY_DIR}/data/com.uploadedlobster.peek.service DESTINATION share/dbus-1/services)
+install(FILES ${CMAKE_BINARY_DIR}/data/com.uploadedlobster.peek.service DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/services)
 
 # Copy build data FILES
 file(

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -57,7 +57,6 @@
     ../src/post-processing/extract-frames-post-processor.vala
     ../src/post-processing/ffmpeg-post-processor.vala
     ../src/post-processing/gifski-post-processor.vala
-    ../src/post-processing/imagemagick-post-processor.vala
     ../src/post-processing/post-processing-pipeline.vala
     ../src/post-processing/post-processor.vala
     ../src/recording/recording-area.vala

=== debian/changelog ===
peek (1.3.1-6) unstable; urgency=high

  * debian/patches: Add patch 0003 to fix double free crashing when
    passing string array to async function. (Closes: #926386)

 -- Boyuan Yang <byang@debian.org>  Mon, 06 May 2019 13:27:48 -0400

peek (1.3.1-5) unstable; urgency=medium

  * Rebuild for Debian buster.
  * debian/patches:
    + Backport upstream trunk code till 20190121.
    + Bump Standards-Version to 4.3.0.
    + Bump debhelper compat to v12.
    + R³: Use "Rules-Requires-Root: no".

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Feb 2019 13:14:08 -0500

peek (1.3.1-4) unstable; urgency=medium

  * Rebuild against gcc 8.
  * debian/control:
    + Update maintainer email address and use the @debian.org one.
    + Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Sep 2018 15:57:12 -0400

peek (1.3.1-3) unstable; urgency=medium

  * Backport upstream changes till 20180613.
    - Fixes FTBFS with parallel build. Closes: #895789.
  * d/rules: Enable parallel build again.
  * d/patches: Add a patch to fix appstream metainfo warning.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 15 Jun 2018 20:47:23 +0800

peek (1.3.1-2) unstable; urgency=medium

  * d/control: Update Vcs fields.
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed).
  * d/control: Mark peek suggests gifski.
  * Backport upstream changes till 20180416.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 21 Apr 2018 14:06:48 +0800

peek (1.3.1-1) unstable; urgency=medium

  * Initial release. Closes: #855666

 -- Boyuan Yang <073plan@gmail.com>  Wed, 28 Mar 2018 09:27:34 +0800

=== debian/control ===
Source: peek
Section: graphics
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 gettext (>= 0.19),
 libglib2.0-dev (>= 2.38),
 libgtk-3-dev (>= 3.14),
 libkeybinder-3.0-dev,
 libxml2-utils,
 txt2man,
 valac,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://github.com/phw/peek
Vcs-Git: https://salsa.debian.org/debian/peek.git
Vcs-Browser: https://salsa.debian.org/debian/peek

Package: peek
Architecture: any
Depends:
 ffmpeg,
 gstreamer1.0-plugins-good,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gstreamer1.0-plugins-ugly,
Suggests:
 gifski,
Description: Simple animated GIF screen recorder with GUI
 Peek is a simple screen recorder. It is optimized for generating
 animated GIFs but you can also directly record to WebM or MP4
 if you prefer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Vala work arounds:
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	      -DCMAKE_INSTALL_PREFIX=/usr \
	      -DGSETTINGS_COMPILE=OFF \
	      -DBUILD_TESTS=ON \
	      -DCMAKE_BUILD_TYPE=Release

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES.md

## peek 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 cmake_minimum_required(VERSION 2.6)
 
 set (PEEK_VERSION_MAJOR 1)
-set (PEEK_VERSION_MINOR 3)
-set (PEEK_VERSION_PATCH 1)
+set (PEEK_VERSION_MINOR 4)
+set (PEEK_VERSION_PATCH 0)
 
 # Get full Peek version
 if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.git)
@@ -54,7 +54,7 @@
 find_package(Vala 0.22 REQUIRED)
 
 find_package(PkgConfig)
-set(REQUIRE_GTK "3.14")
+set(REQUIRE_GTK "3.20")
 pkg_check_modules(GTK REQUIRED gtk+-3.0>=${REQUIRE_GTK})
 pkg_check_modules(CAIRO REQUIRED cairo)
 pkg_check_modules(GIO REQUIRED gio-2.0>=2.42)
@@ -94,12 +94,6 @@
 endif()
 
 # Check for GTK features
-if(${GTK_VERSION} VERSION_EQUAL "3.16" OR ${GTK_VERSION} VERSION_GREATER "3.16")
-  message(STATUS "Compiling with features for GTK >= 3.16")
-  set(REQUIRE_GTK "3.16")
-  list(APPEND VALA_DEFINITIONS "HAS_GTK_LABEL_XALIGN")
-endif()
-
 if(${GTK_VERSION} VERSION_EQUAL "3.20" OR ${GTK_VERSION} VERSION_GREATER "3.20")
   message(STATUS "Compiling with features for GTK >= 3.20")
   set(REQUIRE_GTK "3.20")
@@ -219,7 +213,7 @@
 set(CPACK_PACKAGE_VERSION_PATCH ${PEEK_VERSION_PATCH})
 set(CPACK_PACKAGE_INSTALL_DIRECTORY "Peek")
 
-set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtk-3-0 (>= ${REQUIRE_GTK}), libglib2.0-0 (>= 2.38), libkeybinder-3.0-0, ffmpeg, gstreamer1.0-plugins-good (>= 1.2)")
+set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtk-3-0 (>= ${REQUIRE_GTK}), libglib2.0-0 (>= 2.38), libkeybinder-3.0-0, ffmpeg (>= 3), gstreamer1.0-plugins-good (>= 1.2)")
 set(CPACK_DEBIAN_PACKAGE_RECOMMENDS "gstreamer1.0-plugins-ugly")
 set(CPACK_DEBIAN_PACKAGE_SUGGESTS "gifski")
 set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -72,10 +72,4 @@
 
 install(FILES ${CMAKE_BINARY_DIR}/data/com.uploadedlobster.peek.service DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/services)
 
-# Copy build data FILES
-file(
-  COPY com.canonical.Unity.gschema.xml
-  DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/extra/
-)
-
 add_subdirectory(man)

=== debian/changelog ===
peek (1.4.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Wed, 25 Sep 2019 23:17:59 -0400

peek (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0.
  * debian/patches: Drop patches merged upstream (0001, 0003).
  * debian/rules: Switch to meson buildsystem.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
    + Add optional build-dependency desktop-file-utils. The
      appstream-utils is not included since the related checks
      requires network connection and write permission to home
      directory.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Sep 2019 10:57:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: peek
 Section: graphics
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
- cmake,
  debhelper-compat (= 12),
+ desktop-file-utils <!nocheck>,
  gettext (>= 0.19),
  libglib2.0-dev (>= 2.38),
  libgtk-3-dev (>= 3.14),
  libkeybinder-3.0-dev,
  libxml2-utils,
+ meson,
  txt2man,
  valac,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/phw/peek
 Vcs-Git: https://salsa.debian.org/debian/peek.git
 Vcs-Browser: https://salsa.debian.org/debian/peek

=== debian/rules ===
--- 
+++ 
@@ -13,17 +13,16 @@
 export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))
 
 %:
-	dh $@ --buildsystem=cmake
+	dh $@ --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	      -DCMAKE_INSTALL_PREFIX=/usr \
-	      -DGSETTINGS_COMPILE=OFF \
-	      -DBUILD_TESTS=ON \
-	      -DCMAKE_BUILD_TYPE=Release
+	    -Denable-filechoosernative=true
 
 override_dh_missing:
 	dh_missing --fail-missing
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGES.md
+override_dh_shlibdeps:
+	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
